KStdAccel Namespace Reference (kdecore Library)

| # kdecore Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KStdAccel Namespace Reference

Convenient methods for access to the common accelerator keys in the key configuration. More...

## Classes
class | ShortcutList
| KShortcutList implementation that accesses KStdAccel actions. More...
## Enumerations
enum | StdAccel { AccelNone, Open, New, Close, Save, Print, Quit, Undo, Redo, Cut, Copy, Paste, SelectAll, Deselect, DeleteWordBack, DeleteWordForward, Find, FindNext, FindPrev, Replace, Home, End, Prior, Next, GotoLine, AddBookmark, ZoomIn, ZoomOut, Up, Back, Forward, Reload, PopupMenuContext, ShowMenubar, Help, WhatsThis, TextCompletion, PrevCompletion, NextCompletion, SubstringCompletion, RotateUp, RotateDown, WhatThis = WhatsThis }
| Defines the identifier of all standard accelerators. More...
## Functions
KStdAccelInfo * | infoPtr (StdAccel id)
void | initialize (StdAccel id)
QString | name (StdAccel id)
| Returns a unique name for the given accel.
QString | label (StdAccel id)
| Returns a localized label for user-visible display.
const KShortcut & | shortcut (StdAccel id)
| Returns the keybinding for `accel`.
StdAccel | findStdAccel (const KKeySequence &seq)
| Return the StdAccel id of the standard accel action which uses this key sequence, or AccelNone if none of them do.
KShortcut | shortcutDefault (StdAccel id)
| Returns the hardcoded default shortcut for `id`.
KShortcut | shortcutDefault3 (StdAccel id)
| Returns the hardcoded default 3 modifier shortcut for `id`.
KShortcut | shortcutDefault4 (StdAccel id)
| Returns the hardcoded default 4 modifier shortcut for `id`.
void | createAccelActions (KAccelActions &actions)
const KShortcut & | open ()
| Open file.
const KShortcut & | openNew ()
| Create a new document (or whatever).
const KShortcut & | close ()
| Close current document.
const KShortcut & | save ()
| Save current document.
const KShortcut & | print ()
| Print current document.
const KShortcut & | quit ()
| Quit the program.
const KShortcut & | cut ()
| Cut selected area and store it in the clipboard.
const KShortcut & | copy ()
| Copy selected area into the clipboard.
const KShortcut & | paste ()
| Paste contents of clipboard at mouse/cursor position.
const KShortcut & | deleteWordBack ()
| Delete a word back from mouse/cursor position.
const KShortcut & | deleteWordForward ()
| Delete a word forward from mouse/cursor position.
const KShortcut & | undo ()
| Undo last operation.
const KShortcut & | redo ()
| Redo.
const KShortcut & | find ()
| Find, search.
const KShortcut & | findNext ()
| Find/search next.
const KShortcut & | findPrev ()
| Find/search previous.
const KShortcut & | replace ()
| Find and replace matches.
const KShortcut & | home ()
| Goto beginning of current line.
const KShortcut & | end ()
| Goto end of current line.
const KShortcut & | prior ()
| Scroll up one page.
const KShortcut & | next ()
| Scroll down one page.
const KShortcut & | gotoLine ()
| Go to line.
const KShortcut & | addBookmark ()
| Add current page to bookmarks.
const KShortcut & | zoomIn ()
| Zoom in.
const KShortcut & | zoomOut ()
| Zoom out.
const KShortcut & | help ()
| Help the user in the current situation.
const KShortcut & | completion ()
| Complete text in input widgets.
const KShortcut & | prevCompletion ()
| Iterate through a list when completion returns mutiple items.
const KShortcut & | nextCompletion ()
| Iterate through a list when completion returns mutiple items.
const KShortcut & | rotateUp ()
| Help users iterate through a list of entries.
const KShortcut & | rotateDown ()
| Help users iterate through a list of entries.
const KShortcut & | substringCompletion ()
| Find a string within another string or list of strings.
const KShortcut & | popupMenuContext ()
| popup a context menu.
const KShortcut & | whatsThis ()
| What's This button.
const KShortcut & | reload ()
| Reload.
const KShortcut & | selectAll ()
| Reload.
const KShortcut & | up ()
| Up.
const KShortcut & | back ()
| Back.
const KShortcut & | forward ()
| Forward.
const KShortcut & | showMenubar ()
| Show Menu Bar.
QString | action (StdAccel id)
| This class or method is obsolete, it is provided for compatibility only. Obsolete.
QString | description (StdAccel id)
| This class or method is obsolete, it is provided for compatibility only. Obsolete.
int | key (StdAccel id)
| This class or method is obsolete, it is provided for compatibility only. Obsolete.
int | defaultKey (StdAccel id)
| This class or method is obsolete, it is provided for compatibility only. Obsolete.
bool | isEqual (const QKeyEvent *ev, int keyQt)
| This class or method is obsolete, it is provided for compatibility only..
QString | whatsThis (StdAccel id)
| Returns an extended WhatsThis description for the given accelerator.
const KShortcut & | insert ()
| Toggle insert/overwrite (with visual feedback, e.g.
## Variables
KStdAccelInfo | g_infoStdAccel []
QString | whatsThis (StdAccel)
| What's This button.

## Detailed Description

Convenient methods for access to the common accelerator keys in the key configuration.

These are the standard keybindings that should be used in all KDE applications. They will be configurable, so do not hardcode the default behavior.

If you want real configurable keybindings in your applications, please checkout the class KAccel in kaccel.h

See also:
  KAccelShortcutList

## Enumeration Type Documentation

enum KStdAccel::StdAccel

| Defines the identifier of all standard accelerators. Definition at line 45 of file kstdaccel.h. Referenced by findStdAccel().

## Function Documentation

QString KStdAccel::name | ( | StdAccel | id | ) |

  | Returns a unique name for the given accel. Parameters:
  id | the id of the accelerator
Returns: the unique name of the accelerator Definition at line 128 of file kstdaccel.cpp. Referenced by action().

QString KStdAccel::label | ( | StdAccel | id | ) |

  | Returns a localized label for user-visible display. Parameters:
  id | the id of the accelerator
Returns: a localized label for the accelerator Definition at line 136 of file kstdaccel.cpp. Referenced by description().

const KShortcut & KStdAccel::shortcut | ( | StdAccel | id | ) |

  | Returns the keybinding for `accel`. Parameters:
  id | the id of the accelerator
Definition at line 154 of file kstdaccel.cpp. Referenced by addBookmark(), back(), close(), completion(), copy(), cut(), deleteWordBack(), deleteWordForward(), end(), find(), findNext(), findPrev(), forward(), gotoLine(), help(), home(), key(), next(), nextCompletion(), open(), openNew(), paste(), popupMenuContext(), prevCompletion(), print(), prior(), quit(), redo(), reload(), replace(), rotateDown(), rotateUp(), save(), selectAll(), showMenubar(), substringCompletion(), undo(), up(), whatsThis(), zoomIn(), and zoomOut().

StdAccel KStdAccel::findStdAccel | ( | const KKeySequence & | keySeq | ) |

  | Return the StdAccel id of the standard accel action which uses this key sequence, or AccelNone if none of them do. This is used by class KKeyChooser. Parameters:
  keySeq | the key sequence to search
Returns: the id of the standard accelerator, or AccelNone if there is none Definition at line 166 of file kstdaccel.cpp. References KKeySequence::isNull(), and StdAccel.

KShortcut KStdAccel::shortcutDefault | ( | StdAccel | id | ) |

  | Returns the hardcoded default shortcut for `id`. This does not take into account the user's configuration. Parameters:
  id | the id of the accelerator
Returns: the default shortcut of the accelerator Definition at line 182 of file kstdaccel.cpp. References shortcutDefault3(), and shortcutDefault4(). Referenced by defaultKey().

KShortcut KStdAccel::shortcutDefault3 | ( | StdAccel | id | ) |

  | Returns the hardcoded default 3 modifier shortcut for `id`. This does not take into account the user's configuration. Parameters:
  id | the id of the accelerator
Returns: the default 3 modifier shortcut Definition at line 188 of file kstdaccel.cpp. References KStdAction::cut(). Referenced by shortcutDefault().

KShortcut KStdAccel::shortcutDefault4 | ( | StdAccel | id | ) |

  | Returns the hardcoded default 4 modifier shortcut for `id`. This does not take into account the user's configuration. Parameters:
  id | the id of the accelerator
Returns: the default 4 modifier shortcut Definition at line 205 of file kstdaccel.cpp. References KKeySequence::count(), KStdAction::cut(), and KKeySequence::init(). Referenced by shortcutDefault().

const KShortcut & KStdAccel::open | ( |  | ) |

| Open file. Default: Ctrl-o Returns: the shortcut of the standard accelerator Definition at line 248 of file kstdaccel.cpp. References shortcut().

const KShortcut & KStdAccel::openNew | ( |  | ) |

| Create a new document (or whatever). Default: Ctrl-n Returns: the shortcut of the standard accelerator Definition at line 249 of file kstdaccel.cpp. References shortcut().

const KShortcut & KStdAccel::close | ( |  | ) |

| Close current document. Default: Ctrl-w Returns: the shortcut of the standard accelerator Definition at line 250 of file kstdaccel.cpp. References shortcut().

const KShortcut & KStdAccel::save | ( |  | ) |

| Save current document. Default: Ctrl-s Returns: the shortcut of the standard accelerator Definition at line 251 of file kstdaccel.cpp. References shortcut().

const KShortcut & KStdAccel::print | ( |  | ) |

| Print current document. Default: Ctrl-p Returns: the shortcut of the standard accelerator Definition at line 252 of file kstdaccel.cpp. References shortcut().

const KShortcut & KStdAccel::quit | ( |  | ) |

| Quit the program. Default: Ctrl-q Returns: the shortcut of the standard accelerator Definition at line 253 of file kstdaccel.cpp. References shortcut().

const KShortcut & KStdAccel::cut | ( |  | ) |

| Cut selected area and store it in the clipboard. Default: Ctrl-x Returns: the shortcut of the standard accelerator Definition at line 254 of file kstdaccel.cpp. References shortcut().

const KShortcut & KStdAccel::copy | ( |  | ) |

| Copy selected area into the clipboard. Default: Ctrl-c Returns: the shortcut of the standard accelerator Definition at line 255 of file kstdaccel.cpp. References shortcut().

const KShortcut & KStdAccel::paste | ( |  | ) |

| Paste contents of clipboard at mouse/cursor position. Default: Ctrl-v Returns: the shortcut of the standard accelerator Definition at line 256 of file kstdaccel.cpp. References shortcut().

const KShortcut & KStdAccel::deleteWordBack | ( |  | ) |

| Delete a word back from mouse/cursor position. Default: Ctrl-Backspace Returns: the shortcut of the standard accelerator Definition at line 257 of file kstdaccel.cpp. References shortcut().

const KShortcut & KStdAccel::deleteWordForward | ( |  | ) |

| Delete a word forward from mouse/cursor position. Default: Ctrl-Delete Returns: the shortcut of the standard accelerator Definition at line 258 of file kstdaccel.cpp. References shortcut().

const KShortcut & KStdAccel::undo | ( |  | ) |

| Undo last operation. Default: Ctrl-z Returns: the shortcut of the standard accelerator Definition at line 259 of file kstdaccel.cpp. References shortcut().

const KShortcut & KStdAccel::redo | ( |  | ) |

| Redo. Default: Shift-Ctrl-z Returns: the shortcut of the standard accelerator Definition at line 260 of file kstdaccel.cpp. References shortcut().

const KShortcut & KStdAccel::find | ( |  | ) |

| Find, search. Default: Ctrl-f Returns: the shortcut of the standard accelerator Definition at line 261 of file kstdaccel.cpp. References shortcut().

const KShortcut & KStdAccel::findNext | ( |  | ) |

| Find/search next. Default: F3 Returns: the shortcut of the standard accelerator Definition at line 262 of file kstdaccel.cpp. References shortcut().

const KShortcut & KStdAccel::findPrev | ( |  | ) |

| Find/search previous. Default: Shift-F3 Returns: the shortcut of the standard accelerator Definition at line 263 of file kstdaccel.cpp. References shortcut().

const KShortcut & KStdAccel::replace | ( |  | ) |

| Find and replace matches. Default: Ctrl-r Returns: the shortcut of the standard accelerator Definition at line 264 of file kstdaccel.cpp. References shortcut().

const KShortcut & KStdAccel::home | ( |  | ) |

| Goto beginning of current line. Default: Home Returns: the shortcut of the standard accelerator Definition at line 265 of file kstdaccel.cpp. References shortcut().

const KShortcut & KStdAccel::end | ( |  | ) |

| Goto end of current line. Default: End Returns: the shortcut of the standard accelerator Definition at line 266 of file kstdaccel.cpp. References shortcut(). Referenced by KExtendedSocket::connect(), KCodecs::quotedPrintableEncode(), KConfigBase::readPropertyEntry(), KCharsets::resolveEntities(), KCodecs::uudecode(), KCodecs::uuencode(), and KConfigBase::writeEntry().

const KShortcut & KStdAccel::prior | ( |  | ) |

| Scroll up one page. Default: Prior Returns: the shortcut of the standard accelerator Definition at line 267 of file kstdaccel.cpp. References shortcut().

const KShortcut & KStdAccel::next | ( |  | ) |

| Scroll down one page. Default: Next Returns: the shortcut of the standard accelerator Definition at line 268 of file kstdaccel.cpp. References shortcut().

const KShortcut & KStdAccel::gotoLine | ( |  | ) |

| Go to line. Default: Ctrl+G Returns: the shortcut of the standard accelerator Definition at line 269 of file kstdaccel.cpp. References shortcut().

const KShortcut & KStdAccel::addBookmark | ( |  | ) |

| Add current page to bookmarks. Default: Ctrl+B Returns: the shortcut of the standard accelerator Definition at line 270 of file kstdaccel.cpp. References shortcut().

const KShortcut & KStdAccel::zoomIn | ( |  | ) |

| Zoom in. Default: Ctrl-Plus Returns: the shortcut of the standard accelerator Definition at line 271 of file kstdaccel.cpp. References shortcut().

const KShortcut & KStdAccel::zoomOut | ( |  | ) |

| Zoom out. Default: Ctrl-Minus Returns: the shortcut of the standard accelerator Definition at line 272 of file kstdaccel.cpp. References shortcut().

const KShortcut & KStdAccel::help | ( |  | ) |

| Help the user in the current situation. Default: F1 Returns: the shortcut of the standard accelerator Definition at line 273 of file kstdaccel.cpp. References shortcut().

const KShortcut & KStdAccel::completion | ( |  | ) |

| Complete text in input widgets. Default Ctrl+E Returns: the shortcut of the standard accelerator Definition at line 274 of file kstdaccel.cpp. References shortcut(). Referenced by KGlobalSettings::completionMode(), KCompletion::makeCompletion(), KCompletion::nextMatch(), and KCompletion::previousMatch().

const KShortcut & KStdAccel::prevCompletion | ( |  | ) |

| Iterate through a list when completion returns mutiple items. Default: Ctrl+Up Returns: the shortcut of the standard accelerator Definition at line 275 of file kstdaccel.cpp. References shortcut().

const KShortcut & KStdAccel::nextCompletion | ( |  | ) |

| Iterate through a list when completion returns mutiple items. Default: Ctrl+Down Returns: the shortcut of the standard accelerator Definition at line 276 of file kstdaccel.cpp. References shortcut().

const KShortcut & KStdAccel::rotateUp | ( |  | ) |

| Help users iterate through a list of entries. Default: Up Returns: the shortcut of the standard accelerator Definition at line 277 of file kstdaccel.cpp. References shortcut().

const KShortcut & KStdAccel::rotateDown | ( |  | ) |

| Help users iterate through a list of entries. Default: Down Returns: the shortcut of the standard accelerator Definition at line 278 of file kstdaccel.cpp. References shortcut().

const KShortcut & KStdAccel::substringCompletion | ( |  | ) |

| Find a string within another string or list of strings. Default: Ctrl-T Returns: the shortcut of the standard accelerator Definition at line 279 of file kstdaccel.cpp. References shortcut().

const KShortcut & KStdAccel::popupMenuContext | ( |  | ) |

| popup a context menu. Default: Menu Returns: the shortcut of the standard accelerator Definition at line 280 of file kstdaccel.cpp. References shortcut().

const KShortcut& whatsThis | ( |  | ) |

| What's This button. Default: Shift+F1 Returns: the shortcut of the standard accelerator Definition at line 281 of file kstdaccel.cpp. References shortcut().

const KShortcut & KStdAccel::reload | ( |  | ) |

| Reload. Default: F5 Returns: the shortcut of the standard accelerator Definition at line 282 of file kstdaccel.cpp. References shortcut().

const KShortcut & KStdAccel::selectAll | ( |  | ) |

| Reload. Default: Ctrl-A Returns: the shortcut of the standard accelerator Definition at line 283 of file kstdaccel.cpp. References shortcut().

const KShortcut & KStdAccel::up | ( |  | ) |

| Up. Default: Alt+Up Returns: the shortcut of the standard accelerator Definition at line 284 of file kstdaccel.cpp. References shortcut().

const KShortcut & KStdAccel::back | ( |  | ) |

| Back. Default: Alt+Left Returns: the shortcut of the standard accelerator Definition at line 285 of file kstdaccel.cpp. References shortcut().

const KShortcut & KStdAccel::forward | ( |  | ) |

| Forward. Default: ALT+Right Returns: the shortcut of the standard accelerator Definition at line 286 of file kstdaccel.cpp. References shortcut().

const KShortcut & KStdAccel::showMenubar | ( |  | ) |

| Show Menu Bar. Default: Ctrl-M Returns: the shortcut of the standard accelerator Definition at line 287 of file kstdaccel.cpp. References shortcut().

QString KStdAccel::action | ( | StdAccel | id | ) |

| This class or method is obsolete, it is provided for compatibility only. Obsolete. Use name(). Returns a string representation for `accel`. Definition at line 350 of file kstdaccel.cpp. References name(). Referenced by KAccel::insert().

QString KStdAccel::description | ( | StdAccel | id | ) |

| This class or method is obsolete, it is provided for compatibility only. Obsolete. Use desc(). Returns a localized description of `accel`. Definition at line 352 of file kstdaccel.cpp. References label(). Referenced by KPalette::save(), and KCmdLineArgs::usage().

int KStdAccel::key | ( | StdAccel |  | ) |

| This class or method is obsolete, it is provided for compatibility only. Obsolete. Use shortcut(). Returns the keybinding for `accel`. Definition at line 354 of file kstdaccel.cpp. References shortcut(). Referenced by KStandardDirs::addCustomized(), KCharsets::codecForName(), KZoneAllocator::deallocate(), KURLDrag::decode(), KConfigBase::entryIsImmutable(), KAccel::findKey(), KConfigBase::hasKey(), KKeySequence::init(), KAccel::insertItem(), KKeySequence::KKeySequence(), KIconLoader::loadIcon(), KKeyNative::operator!=(), KKeyNative::operator<(), KKeyNative::operator=(), KKeyNative::operator==(), KConfigINIBackEnd::parseSingleConfigFile(), KConfig::putData(), KKeySequence::setKey(), and KRootProp::setProp().

int KStdAccel::defaultKey | ( | StdAccel | accel | ) |

| This class or method is obsolete, it is provided for compatibility only. Obsolete. Use shortcutDefault(). Definition at line 356 of file kstdaccel.cpp. References shortcutDefault().

bool KStdAccel::isEqual | ( | const QKeyEvent * | pEvent,
|  | int | keyQt
| ) |

  | This class or method is obsolete, it is provided for compatibility only.. Use KKey(const QKeyEvent*) == KKey(int). Compare the keys generated by the key event with the value of the integer. If a modifier (Shift, Alt, Ctrl) key is present in QKeyEvent, its sum with the actual key value is used for comparing it with the integer parameter. Parameters:
  pEvent | the key event to be used in the comparison.
  keyQt | the int value to be compared to the key event.
Returns: true if the int value matches the integer representation of the QKeyEvent Definition at line 359 of file kstdaccel.cpp.

QString whatsThis | ( | StdAccel | id | ) |

  | Returns an extended WhatsThis description for the given accelerator. Parameters:
  id | the id of the accelerator
Returns: a localized description of the accelerator

const KShortcut& insert | ( |  | ) |

| Toggle insert/overwrite (with visual feedback, e.g. in the statusbar). Default: Insert Returns: the shortcut of the standard accelerator

## Variable Documentation

const KShortcut & KStdAccel::whatsThis | ( | StdAccel |  | ) |

| What's This button. Default: Shift+F1 Returns: the shortcut of the standard accelerator

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 12:51:52 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001